<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="newRow()" class="btn btn-primary">
    <i class="fa fa-plus mr-2"></i>Nuevo
  </button>
  <button class="btn btn-success ml-1" (click)="guardar()" [disabled]="ngForm.invalid">
    <i class="fa fa-save mr-2"></i>Guardar
  </button>
  <button class="btn btn-danger ml-1" [disabled]="!flagEdit" (click)="eliminar()">
    <i class="fas fa-trash-alt mr-2"></i>Eliminar
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-4 col-sm-3 col-lg-2">
          <label class="w-100">Teléfono</label>
          <div class="input-group">
            <input type="tel" pattern="[0-9]*" class="form-control" formControlName="telef" maxlength="18"
              [readonly]="flagEdit">
          </div>
        </div>
        <div class="col-6 col-sm-5 col-lg-4">
          <div class="form-group">
            <label>Descripción</label>
            <input type="text" formControlName="Descripcion" class="form-control" maxlength="40">
          </div>
        </div>
        <div class="col-4 col-sm-4 col-lg-3">
          <label class="w-100">Clasificación</label>
          <div class="input-group">
            <kendo-combobox [data]="listClasif" [textField]="'Clasif'" [valueField]="'Clasif'"
              [placeholder]="'Seleccionar Clasificación'" class="form-control" formControlName="Clasif"
              [valuePrimitive]="true"></kendo-combobox>
          </div>
        </div>
        <div class="col-4 col-sm-4 col-lg-3">
          <label class="w-100">Tipo</label>
          <div class="input-group">
            <kendo-combobox [data]="listTipos" [textField]="'Descripcion'" [valueField]="'Tipo'"
              [placeholder]="'Tipo de Tarifa'" class="form-control" formControlName="Tipo" [valuePrimitive]="true">
            </kendo-combobox>
          </div>
        </div>
      </div>
    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [filter]="filter" filterable="menu" [navigable]="true"
      [reorderable]="true" [resizable]="true" [sortable]="true" [pageSize]="pageSize" [skip]="skip"
      [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" (selectionChange)="selectRow($event)" style="height: 52vh;"
      *ngIf="!loading">
      <ng-container *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="telef" title="Teléfono" width="150"></kendo-grid-column>
        <kendo-grid-column field="Descripcion" title="Descripción" width="280"></kendo-grid-column>
        <kendo-grid-column field="Clasif" title="Clasificación" width="120"></kendo-grid-column>
      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>
  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title" id="modal-graf">Tipos de Tarificación</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-help-telefonos-tipo-tarifa (telefonosTTarifa)="getDataModal($event); c();">
    </app-help-telefonos-tipo-tarifa>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>
